Simpler Navigation for Servers and Operating Systems - Please Update Your Bookmarks
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
If you have bookmarked forums or discussion boards in Servers and Operating Systems, we suggest you check and update them as needed.
cancel
Showing results for 
Search instead for 
Did you mean: 

oracle 9i installation problem

SOLVED
Go to solution
attilio_1
Frequent Advisor

oracle 9i installation problem

before installing oracle 9i on hp-ux 11.0 I run the script Installprep.sh; there are the following message:
1) ALERT- MAXDSIZ set at 3221225472 needs to be increased to at least 1073741824

but the actual size 3221225472 is greater than 1073741824, or I have to increase
3221225472 with 1073741824 ? (in the installation guide is 1073741824 the required size)

2) ALERT- Increase the ulimit(NOFILES) to 2048 from the present 200
ulimit -a:
time(seconds) unlimited
file(blocks) unlimited
data(kbytes) unlimited
stack(kbytes) 131072
memory(kbytes) unlimited
coredump(blocks) 4194303
what is ulimit(NOFILES) ?
How can I encrease it ?

3) ALERT- The PHSS_22868 may only be installed upon a previously installed base fileset. The
specification for this base fileset is "ACXX.ACXX-STDLIB,fr=C.03.27,v=HP".
This is C++ but I have seen
to see if there is c++ : swlist -l fileset|grep C++
# PHSS_14578 1.0 HP C++ core library components (A.12.10)
# PHSS_24627 1.0 HP aC++ -AA runtime libraries (aCC A.03.33)
# PHSS_26945 1.0 HP aC++ -AA runtime libraries (aCC A.03.37)
Is not recognised the c++ or is not the right version ?
where is the problem ?
Can I avoid to install this patch ,since users don't use pro c/c++ ?

4) ALERT- Neither PHKL_25475 or it's successor PHKL_27510 or it's successor PHKL_30553 are installed
The script don't recognize that there is the patch PHKL_33268 instead of PHKL_25475 .

5) ALERT- Neither PHSS_24301 or it's successor PHSS_26273 or it's successor PHSS_28433 are installed
it is a linker startup code / SLLIC ELF support;
The patch fileset "PHSS_28433.LANG-STARTUP,r=1.0" may only be installed upon a previously installed base fileset. The
specification for this base fileset is "Auxiliary-Opt.LANG-STARTUP,fr=B.11.00,v=HP".

6) ALERT: Test for listener shows it to be up, it should be down for an install - please verify

There is installed oracle 8.1.7 . I can use the same listener for both (oracle 8 and 9i) ?

33 REPLIES
Mustafa Gulercan
Respected Contributor

Re: oracle 9i installation problem

hi;

1- it is not a MUST MAXDSIZ is 1073741824.you may set it more than this number.
2-look here for increasing ulimit
http://uw713doc.sco.com/en/man/html.1/ulimit.1.html
3-i think you should install recommended patches for C++
4-5 you can check superseded patch with attached script

regards;
mustafa
Alexander M. Ermes
Honored Contributor

Re: oracle 9i installation problem

Hi there,
Did you install ALL patches on the Oracle list ?
Rgds
Alexander M. Ermes
.. and all these memories are going to vanish like tears in the rain! final words from Rutger Hauer in "Blade Runner"
attilio_1
Frequent Advisor

Re: oracle 9i installation problem

Hi Alexander,

I installed all required patch except for
PHSS_22868 and PHSS_24301 because I don't know which fileset is necessary.

It could compromise the installation or can I try ?
thanks

Dartan
Mustafa Gulercan
Respected Contributor

Re: oracle 9i installation problem

Patch Name: PHSS_22868

Patch Description: s700_800 11.X HP aC++ -AA header files (aCC A.03.30)
Filesets:
ACXX.ACXX-STDLIB,fr=C.03.27,fa=HP-UX_B.11.00_32/64,v=HP
ACXX.ACXX-STDLIB,fr=C.03.26,fa=HP-UX_B.11.00_32/64,v=HP
ACXX.ACXX-STDLIB,fr=C.03.25.01,fa=HP-UX_B.11.00_32/64,v=HP
ACXX.ACXX-STDLIB,fr=C.03.25,fa=HP-UX_B.11.00_32/64,v=HP
ACXX.ACXX-STDLIB,fr=C.03.27,fa=HP-UX_B.11.11_32/64,v=HP
ACXX.ACXX-STDLIB,fr=C.03.26,fa=HP-UX_B.11.11_32/64,v=HP

Automatic Reboot?: No

Patch Name: PHSS_24301
Patch Description: s700_800 11.00 linker startup code / SLLIC ELF support
Filesets:
Auxiliary-Opt.LANG-STARTUP,fr=B.11.00,fa=HP-UX_B.11.00_32/64,v=HP
Auxiliary-Opt.LANG-STARTUP,fr=B.11.01.01,fa=HP-UX_B.11.00_32/64,v=HP
Auxiliary-Opt.LANG-STARTUP,fr=B.11.01.06,fa=HP-UX_B.11.00_32/64,v=HP
Auxiliary-Opt.LANG-STARTUP,fr=B.11.01.20,fa=HP-UX_B.11.00_32/64,v=HP
Auxiliary-Opt.LANG-STARTUP,fr=B.11.11.02,fa=HP-UX_B.11.00_32/64,v=HP
Auxiliary-Opt.LANG-STARTUP,fr=B.11.11.04,fa=HP-UX_B.11.00_32/64,v=HP
Auxiliary-Opt.LANG-HELP,fr=B.11.00,fa=HP-UX_B.11.00_32/64,v=HP
Auxiliary-Opt.LANG-HELP,fr=B.11.01.01,fa=HP-UX_B.11.00_32/64,v=HP
Auxiliary-Opt.LANG-HELP,fr=B.11.01.06,fa=HP-UX_B.11.00_32/64,v=HP
Auxiliary-Opt.LANG-HELP,fr=B.11.01.20,fa=HP-UX_B.11.00_32/64,v=HP
Auxiliary-Opt.LANG-HELP,fr=B.11.11.02,fa=HP-UX_B.11.00_32/64,v=HP
Auxiliary-Opt.LANG-HELP,fr=B.11.11.04,fa=HP-UX_B.11.00_32/64,v=HP

Automatic Reboot?: No


in my opinion you should install both patches.

regards;
mustafa
attilio_1
Frequent Advisor

Re: oracle 9i installation problem

Hi Mustafa

with swlist -l fileset |grep C++ I see that I have this verison of C++:
# PHSS_14578 1.0 HP C++ core library components (A.12.10)
# PHSS_24627 1.0 HP aC++ -AA runtime libraries (aCC A.03.33)
# PHSS_26945 1.0 HP aC++ -AA runtime libraries (aCC A.03.37)

I don' see the language tools but only runtime.
when I try to install PHSS_22868 it fail :
may only be installed upon a previously installed base fileset. The specification for this base fileset is "ACXX.ACXX-STDLIB,fr=C.03.27,v=HP".

It is need toinstall another version of C++ ?
Users don' need C++ and I would like avoid to purchase this product.

Thanks to help me
Dartan

Mustafa Gulercan
Respected Contributor

Re: oracle 9i installation problem

Dartan;
1-)while you are installing the patch;
At swinstall menu click the options>change options.there a warning screen like this "Please use caution when changing options..."
click ok.and tick "Reinstall filesets even if same revision exists","Reinstall files even if same one already there".
2-)there is NO need to install another version of C++.

good luck,
mustafa
Ben Dehner
Trusted Contributor

Re: oracle 9i installation problem

Others have addressed the patches. (To be honest, I usually ignore that because most of the time I've found the recommended patches have been superseded anyway.) As for the listener, in my experience you can run an 8i database using a 9i listener and vice versa. The automatic service registration works fine going either way, as well as client connections. If neccessary, you could run both listeners using different ports, but I've never needed to do that.

The only problem I've seen -- and this is a pathological case -- is using an Oracle 7 client to connect to 9i listener on an 8i database that is configured to use multi-threaded server. It just didn't work, and I had to go back to the 8i listener.
Trust me, I know what I'm doing
attilio_1
Frequent Advisor

Re: oracle 9i installation problem

Mustafa

I have tried to install the patch with the option
"Reinstall filesets even if same revision exists","Reinstall files even if same one already there" but it don't run, don't pass the analisys phase.
If is not possible i will try to install oracle without these two patch.

Thanks
Dartan
Mustafa Gulercan
Respected Contributor

Re: oracle 9i installation problem

dartan;
could you pls post analyze log
attilio_1
Frequent Advisor

Re: oracle 9i installation problem

Hello Mustafa

the analisys log is:

======= 06/06/06 18:14:53 MDT BEGIN install AGENT SESSION (pid=18594)

* Agent session started for user "root@itacna01". (pid=18594)
* Beginning Analysis Phase.
* Source: it:/tmp/patch_depot
* Target:it:/
* Target logfile: it:/var/adm/sw/swagent.log
* Reading source for product information.
* Reading source for file information.
NOTE: The patch fileset "PHSS_22868.ACXX-STDLIB,r=1.0" may only be
installed upon a previously installed base fileset. The specification for this base fileset is "ACXX.ACXX-STDLIB,fr=C.03.27,v=HP". Since there is no fileset on the target or selected from the source which matches this specification, fileset "PHSS_22868.ACXX-STDLIB,r=1.0" will be
excluded.
* Executing preDSA command.
* Summary of Analysis Phase:
* 1 of 1 filesets will be Skipped.
* The Analysis Phase succeeded.

Another question: I have tried to run installer but it don't find jre :
"The Java RunTime Environment was not found at bin/java. Hence, the Oracle Universal Installer cannot be run."

but If i do: which java I find /usr/bin/java
what can I do ?

Thanks
Dartan
Mustafa Gulercan
Respected Contributor

Re: oracle 9i installation problem

Seems you do not have the aC++ compiler installed at least not the correct version.
have you installed gcc?
If you don't (or didn't) have the ac++ compiler installed,you don't need that patch.

you can check Java Runtime Environment as following;

#swlist -l fileset|grep -i "Java Runtime"
attilio_1
Frequent Advisor

Re: oracle 9i installation problem

Hello

if I do swlist -l fileset|grep -i "JRE"
I find
CMDVIEWSVR.SVREVENTLIB A.1.07.00 server JRE event lib
HPOVLIC.HPOVLICJ 1.4.0.0 JRE 1.4 for HP-UX
# HPOVSAMJR 1.4.1.3 hp OpenView storage area manager embedded JRE
HPOVSAMJR.HPOVSAMJR 1.4.1.3 hp OpenView storage area manager embedded JRE
# Jre13 1.3.1.08.00 Java2 1.3 RTE 1.3
Jre13.JRE13-COM 1.3.1.08.00 Java2 1.3 RTE common files
Jre13.JRE13-COM-DOC 1.3.1.08.00 Java2 1.3 RTE documentation and distribution license
Jre13.JRE13-PA11 1.3.1.08.00 Java2 1.3 RTE PA-RISC 1.1 files
Jre13.JRE13-PA11-CL 1.3.1.08.00 Java2 1.3 RTE PA-RISC 1.1 Classic VM
Jre13.JRE13-PA11-HS 1.3.1.08.00 Java2 1.3 RTE PA-RISC 1.1 HotSpot VM Jre13.JRE13-PA20 1.3.1.08.00 Java2 1.3 RTE PA-RISC 2.0 files Jre13.JRE13-PA20-CL 1.3.1.08.00 Java2 1.3 RTE PA-RISC 2.0 Classic VM Jre13.JRE13-PA20-HS 1.3.1.08.00 Java2 1.3 RTE PA-RISC 2.0 HotSpot VM

I have set some variable ?
If I make dbassist, that I think need jre, to install a instance of the previous oracle 8 it run.

Dartan
Mustafa Gulercan
Respected Contributor

Re: oracle 9i installation problem

Oracle9i already will install JRE 1.1.8.06 for HP-UX 11.0
The following patches recommended for JRE:
PHCO_23792
PHCO_24148
PHKL_25475
PHNE_23456
PHNE_24034
PHSS_24303


keep going..

mustafa


attilio_1
Frequent Advisor

Re: oracle 9i installation problem

Hello mustafa

some patch was installed or superseded by other, and I have installed two patch, PHNE_33395 and PHNE_31096, that supersed the reccomanded

PHCO_23792 superseded
PHCO_24148 superseded
PHKL_25475 installed the PHKL_33268
PHNE_23456 installed the PHNE_33395
PHNE_24034 installed the PHNE_31096
PHSS_24303 superseded

but at run the installer don't recognize the path od jre:

/SD_CDROM/DISK1/INSTALL/HPUNIX $ ./"RUNINSTA;1"
The Java RunTime Environment was not found at bin/java. Hence, the Oracle Universal Installer cannot be run.

Bye
Dartan
Mustafa Gulercan
Respected Contributor

Re: oracle 9i installation problem

i think you have not used the right mounting options;
try ;
#usr/sbin/mount -F cdfs -e -o ro,rr /dev/dsk/cxtxdx /cdrom

That works for oracle. Adjust the device and folder you mount for your system
attilio_1
Frequent Advisor

Re: oracle 9i installation problem

Hello,

I have tried
usr/sbin/mount -F cdfs -e -o ro,rr /dev/dsk/c3t2d0 /SD_CDROM
but don't recognize the option rr
"illegal file system specific option rr"

perhaps are need the patch
PHKL_26448, PHCO_26449, PHKL_26450
that I am downloading.
But with
mount -F cdfs -o cdcase /dev/dsk/c3t2d0 /SD_CDROM
it has all low character but are cut to the first 8. (runinst instead of
If I run /SD_CDROM/disk1/install/hpunix/runinst
the message say:
The Java RunTime Environment was not found at /tmp/OraInstall2006-06-07_12-30-55PM/jre/bin/java.
but the oracle installer don't install Java RunTime?
Please what I have to do ?
Thanks
Dartan
Frank de Vries
Respected Contributor

Re: oracle 9i installation problem

Hi

Incidently
When it concerns Oracle cd's for hpux I never do bother with hp generic mount command.

The reason for that is that Oracle uses
rockridge format for the cd and that
is not well supported by hp generic mount command:

download the soft and install:
and run like this:
/usr/sbin/pfs_mountd &
sleep 4
/usr/sbin/pfsd &

And then create a file in /etc
more /etc/pfs_fstab
/dev/dsk/c0t1d0 /CDROM pfs-rrip xlat=unix 0 0
[root@orasrv2:]/sbin/init.d<>>>

Then mount your cd with
pfs_mount /CDROM

Look before you leap
attilio_1
Frequent Advisor

Re: oracle 9i installation problem

Hello
I have installed the patch required for the command usr/sbin/mount -F cdfs -e -o ro,rr /dev/dsk/c3t2d0 /SD_CDROM
PHKL_26448 installed the new PHK_28060
PHCO_26449
PHKL_26450
and the mount work, but I see only capital letter like RUNINSTA;1

I have try also with :
nohup pfs_mountd &
nohup pfsd &
pfs_mount /dev/dsk/c3t2d0 /SD_CDROM

but is the same.
with: mount -F cdfs -o cdcase /dev/dsk/c3t2d0 /SD_CDROM
are only lower character and are truncated.

Which are the right options to see the correct path and character for oracle CD ?
Thanks
Dartan


Mustafa Gulercan
Respected Contributor

Re: oracle 9i installation problem

hi;
install the Rockridge patches

PHKL_25620 - s700_800 11.11 Rock Ridge extension for ISO-9660
PHCO_25841 - s700_800 11.11 Add Rock Ridge extension to mount_cdfs(1M)

Then do a
# mount -F cdfs -o rr /dev/dsk/cxtydz /cdrom
Frank de Vries
Respected Contributor

Re: oracle 9i installation problem

Hi Dartan

It works well with us.

Are you sure the xlat options are defined ??You will get the correct format if you
create the /etc/pfs_fstab file
and have this line in it:

/dev/dsk/c0t1d0 /CDROM pfs-rrip xlat=unix 1 0

It is the 'xlat' option that will make it unix compatible, otherwise you get it truncated , suffixed with ; etc.
so use xlat=unix !!!!

To test manually you can try this:

For oracle CD's :
pfs_mount -v -t rrip -x unix /dev/dsk/c0t1d0 /CDROM

(This works with us on version 11.00 and 11.11)

For other CD's you can use this:
pfs_mount -v -t iso9660 -x unix /dev/dsk/c0t1d0 /CDROM

Keep cooking;





Look before you leap
attilio_1
Frequent Advisor

Re: oracle 9i installation problem

Thanks for the answers:
Hi mustafa,
I think that the patch that I have installed are the equivalent for hp 11.00:
PHCO_26449 1.0 Add Rock Ridge extension to mount_cdfs(1M)
PHKL_26450 1.0 Rock Ridge extension for ISO-9660
PHKL_28060 1.0 Y2k; Rock Ridge extension for ISO-9660

but the cdrom show capital and truncatd letters
DOC INDEX.HTM;1 INSTALL LGTO RESPONSE RUNINSTA;1 STAGE

Hi Frank,
I have create the pfs_fstab and inser the line:
#/root:/etc #cat pfs_fstab
/dev/dsk/c3t2d0 /SD_CDROM pfs-rrip xlat=unix 1 0

but the test show:
#/root:/ #pfs_mount -v -t rrip -x unix /dev/dsk/c3t2d0 /SD_CDROM
Version: 2.9.1F (UNLIMITED) Built: Sat Oct 17 19:00:42 PDT 1998
pfs_mount: /dev/dsk/c3t2d0 on /SD_CDROM: not rrip.
pfs_mount: giving up on /SD_CDROM

What other can I try ?
Dartan
Mustafa Gulercan
Respected Contributor

Re: oracle 9i installation problem

Dartan;
you dont need to use pfs_mount anymore as long as you use the patches listed.
If you still have problems, oracle Cd s' sometimes be of poor quality, you should load them on a newish PC and copy over or request a new set from Oracle.

attilio_1
Frequent Advisor

Re: oracle 9i installation problem

Hi

The CD is read well on pc. If I load the CD in the pc and copy all installation (4 cd) in different folder on unix, it should be run ?
Bye
Dartan
Mustafa Gulercan
Respected Contributor
Solution

Re: oracle 9i installation problem

you can download installation software from oracle website.it is a zip file.

www.oracle.com -->downloads
you need a free account for this.

after downloading;
1-ftp the zip file to the server.
2-unzip this file
3-start the installation with oracle user

regards;
mustafa